## `<w-radio-group>` API

Unless otherwise noted all properties are HTML attributes (as opposed to JavaScript object properties).

### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| disabled | `boolean` | `false` | Disables the radio group and all child radios. |
| help-text | `string` | `""` | Help text for the radio group. |
| invalid | `boolean` | `false` | Marks the radio group as invalid. |
| label | `string` | `""` | Label for the radio group. |
| name | `string \| null` | `null` | The [name](https://developer.mozilla.org/en-US/docs/Web/HTML/Reference/Elements/input#name) of the select when submitting the form. |
| optional | `boolean` | `false` | Whether to show optional text next to the label. |
| required | `boolean` | `false` | Makes selecting a radio in the the group required. |

### Property Details

#### disabled

Disables the radio group and all child radios.

- Type: `boolean`
- Default: `false`

#### help-text

Help text for the radio group.

If you set `required` and `invalid` the group gets a default error message, but you can override it with this attribute.

- Type: `string`
- Default: `""`

#### invalid

Marks the radio group as invalid.

- Type: `boolean`
- Default: `false`

#### label

Label for the radio group.

- Type: `string`
- Default: `""`

#### name

The [name](https://developer.mozilla.org/en-US/docs/Web/HTML/Reference/Elements/input#name) of the select when submitting the form.

- Type: `string | null`
- Default: `null`

#### optional

Whether to show optional text next to the label.

- Type: `boolean`
- Default: `false`

#### required

Makes selecting a radio in the the group required.

- Type: `boolean`
- Default: `false`

